// $Id: config.h,v 1.5 2001/06/19 15:26:48 rnolden Exp $
#ifndef __KDE_MODSYSTEMCONFIG_H
#define __KDE_MODSYSTEMCONFIG_H

#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kconfig.h>

class QNiXConfig : public QObject
{
	Q_OBJECT

	public:
		QNiXConfig( KConfig* conf, QWidget* parent );
		~QNiXConfig();

	// These public signals/slots work similar to KCM modules
	signals:
		void changed();

	public slots:
		void load( KConfig* conf );
		void save( KConfig* conf );
		void defaults();

	protected slots:
		void slotSelectionChanged();	// Internal use

	private:
		KConfig*   clientrc;
		QGroupBox* gb;
		QCheckBox* cbShowMenuButtonIcon;
		QCheckBox* cbShowLeftDetail;
};


#endif
